DCMTK - Feature #587

Method getUncompressedFrameSize() misses robustness and log output
2014-02-05 11:49 - Jorg Riesmeier

Status: Closed Start date: 2014-02-05
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.3

Module: dcmdata Compiler:

Operating System:

Description
The DcmElement::getUncompressedFrameSize() method is not very robust and not very verbose with regards to log output.

E.g., when a DICOM image with Photometriclnterpretation "YBR_FULL_422" specifies a wrong value for SamplesPerPixel ("1"), the
log output is

E: can't decompress first frame: Buffer for decompressed image (8 bits/sample) too small

and the image is not processed. It would be interesting to know more details about the reason, and, preferably, the value of
Photometriclnterpretation should be checked for plausibility (to give a hint on the logger).

Related issues:
Related to DCMTK - Bug #568: Output of getDecompressedColorModel() is not ver... Closed 2013-10-24

History

#1 - 2017-03-24 12:47 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2018-01-05 19:06 - Jorg Riesmeier
- Status changed from New to Closed

- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 100

- Module set to dcmdata

Closed by commit 48ebe15.
